[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

mock wrangling



Hi,

I need to rebuild the olpc-update package for OLPC's 8.2.1 release and
mock is being a headache.

The code is at git://dev.laptop.org/projects/olpc-update
"make mock" is the command to build it.

You need this mock cfg in /etc/mock:
http://ausil.fedorapeople.org/olpc-3-i386.cfg

It first runs this command:
mock -r olpc-3-i386 --resultdir=./rpms -q --init

The error is this:
DEBUG: python-devel-2.5.1-25.fc9.i386 from fedora has depsolving problems
DEBUG:   --> Missing Dependency: python = 2.5.1-25.fc9 is needed by
package python-devel-2.5.1-25.fc9.i386 (fedora)
DEBUG: Error: Missing Dependency: python = 2.5.1-25.fc9 is needed by
package python-devel-2.5.1-25.fc9.i386 (fedora)

Full logs:
http://dev.laptop.org/~dsd/20090219/mockerror.txt

Any hints or debugging tips? I'm not sure where to start. I already
removed /var/lib/mock/* and ran "yum clean" but I don't think I have
wiped all caches (it still runs into this error quickly, whereas I
would expect it to spend 30 secs or so downloading the package
databases before deciding which versions of python are and are not
available). And incomplete/bad caches might not even be the problem.

Thanks!
Daniel


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]